%define		subver RC7
%define		rel 2
%define		status		beta
%define		pearname	HTTP_WebDAV_Server
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - WebDAV Server Baseclass
Summary(pl.UTF-8):	%{pearname} - podstawowa klasa serwera WebDAV
Name:		php-pear-%{pearname}
Version:	1.0.0
Release:	1.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}%{subver}.tgz
# Source0-md5:	eb3e2e1649c91d415d5360d15edb8edf
URL:		http://pear.php.net/package/HTTP_WebDAV_Server/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.4
Requires:	php-pear >= 4:1.0-9.2
Requires:	php-pear-HTTP >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mostly RFC2518 compliant helper class for WebDAV server
implementation.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
W większości zgodna z RFC2518 klasa pomocnicza do implementacji
serwera WebDAV.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/HTTP_WebDAV_Server/* docs/%{pearname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTTP/WebDAV/Server.php
%{php_pear_dir}/HTTP/WebDAV/Server
%{php_pear_dir}/HTTP/WebDAV/Tools/_parse_*.php
%{php_pear_dir}/HTTP/WebDAV/file.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> a28e6c2
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> 9a69fb2
- up to RC7

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> f3cd79d
- up to 1.0.0RC6

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 38949a4
- tests are no longer installed - don't try to remove them

* Mon Nov 15 2010 Elan Ruusamäe <glen@pld-linux.org> 62286c4
- up to 1.0.0RC5

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b941523
- updated deps with pearize.sh
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 93d6c2c
- rel 2

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> 7695fbe
- up to RC4

* Mon Feb 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 9a55aea
- pl fix

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cca383e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eb4942c
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 2c51713
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 4437e92
- 1.0.0RC3

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> bec7356
- BR php-pear-PEAR

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> ec62c9c
- HTTP/WebDAV dir in php-pear package

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> b0f99b4
- conflicting HTTP/WebDAV/Tools resolved

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> b32023a
- up to 1.0.0 rc1

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 4d685d2
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> a197748
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 2b28ef6
- new pear packaging

